Confirmations

Initiate a 2FA procedure for an authorized client

Use this method to initiate a 2FA procedure for an authorized client.

GET
/api/v2/my/2fa/challenge

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

businessProcess*string

The type of an operation for which confirmation with a 2FA code is required (such as changePassword).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/2fa/challenge?businessProcess=changePassword"
{  "token": "b2fcf999-2b0b-451d-9888-094a79117aa5",  "provider": "email",  "expiresAt": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}